SDL_RendererInfo(3type)

NAME
SDL_RendererInfo - Information on the capabilities of a render driver or context.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_RendererInfo
{
    const char *name;           /**< The name of the renderer */
    Uint32 flags;               /**< Supported ::SDL_RendererFlags */
    int num_texture_formats;    /**< The number of available texture formats */
    SDL_PixelFormatEnum texture_formats[16]; /**< The available texture formats */
    int max_texture_width;      /**< The maximum texture width */
    int max_texture_height;     /**< The maximum texture height */
} SDL_RendererInfo;

AVAILABILITY
This struct is available since SDL 3.0.0.